<!DOCTYPE html>
<html lang="en" xmlns="http://www.w3.org/1999/xhtml"
      xmlns:th="http://www.thymeleaf.org">
<head>
    <title>Registration Form</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.1/css/bootstrap.min.css"
          integrity="sha384-WskhaSGFgHYWDcbwN70/dfYBj47jz9qbsMId/iRN3ewGhXQFZCSftd1LZCfmhktB" crossorigin="anonymous">
    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
            integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
            crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js"
            integrity="sha384-ZMP7rVo3mIykV+2+9J3UJ46jBk0WLaUAdn689aCwoqbBJiSnjAK/l8WvCWPIPm49"
            crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.1/js/bootstrap.min.js"
            integrity="sha384-smHYKdLADwkXOn1EmN1qk/HfnUcbVRZyYmZ4qpPea6sjB/pTJ0euyQp0Mk8ck+5T"
            crossorigin="anonymous"></script>

    <meta charset="UTF-8">
    <link rel="stylesheet" type="text/css" th:href="@{/css/custom.css}"/>
</head>
<body>
<nav class="navbar navbar-expand-lg navbar-dark bg-dark">
    <a class="navbar-brand" href="/">Disimx</a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent"
            aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
    </button>

    <div class="collapse navbar-collapse" id="navbarSupportedContent">
        <ul class="navbar-nav mr-auto">
            <li class="nav-item">
                <a class="nav-link" href="/admin/courses"  th:text="#{courses}"></a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="/course/modify"  th:text="#{add_course}"></a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="/registration"  th:text="#{create_user}"></a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="/logout">Logout</a>
            </li>
        </ul>
    </div>
</nav>
<div class="container d-flex justify-content-center">
    <div class="row">
        <div class="form_signup_div">
            <form autocomplete="off" action="#" th:action="@{/registration}"
                  th:object="${user}" method="post" class="form-horizontal"
                  role="form">
                <div class="form-group">
                    <h2>Registration Form</h2>
                    <div class="form-group">
                        <label th:if="${#fields.hasErrors('name')}" th:errors="*{name}"
                               class="validation-message"></label>
                        <input type="text" th:field="*{name}" placeholder="Name"
                               class="form-control"/>
                    </div>

                    <div class="form-group">
                        <label th:if="${#fields.hasErrors('lastName')}" th:errors="*{lastName}"
                               class="validation-message"></label>
                        <input type="text" th:field="*{lastName}"
                               placeholder="Last Name" class="form-control"/>
                    </div>
                    <div class="form-group">
                        <input type="text" th:field="*{email}" placeholder="Email"
                               class="form-control"/> <label
                            th:if="${#fields.hasErrors('email')}" th:errors="*{email}"
                            class="validation-message"></label>
                    </div>
                    <div class="form-group">
                        <input type="password" th:field="*{password}"
                               placeholder="Password" class="form-control"/> <label
                            th:if="${#fields.hasErrors('password')}" th:errors="*{password}"
                            class="validation-message"></label>
                    </div>
                    <div class="form-group">
                        <label for="form_semester">Role</label>
                        <select class="form-control" id="form_semester" th:field="*{roleId}">
                            <option value="">--</option>
                            <option th:value="1" th:text="Admin"></option>
                            <option th:value="2" th:text="Prof"></option>
                        </select>
                    </div>
                    <div class="form-group">
                        <div class="col-sm-9">
                            <button type="submit" class="btn btn-primary">Register User</button>
                        </div>
                    </div>

                    <span th:utext="${successMessage}"></span>
                </div>
            </form>
        </div>
    </div>
</div>
<div class="container-fluid">
    <div class="row" style="background-color: #252321; min-height: 150px;">
        <div class="col-md-12" style="padding-top: 50px;">
            <a href="mailto:info@n-rent.com">
                <h6 class="h6" style="text-align: center; color: white; margin-bottom: 10px">info@disimx.com</h6></a>
            <a href="http://www.n-rent.com/Impressum.pdf">
                <h6 class="h6" style="text-align: center; font-size: 16px; color: white;">Copyright 2018-2019</h6></a>
            <h6 class="h6" style="text-align: center; font-size: 20px; color: white; margin-bottom: 15px; margin-top: 10px">© 2018
                Disimx</h6>
        </div>
    </div>
</div>

</body>
</html>